%define package_name    libmusicbrainz

%define api 3
%define major 6
%define libname %mklibname musicbrainz %api %{major}
%define develname %mklibname -d musicbrainz %api

Name:		libmusicbrainz3
Version:	3.0.3
Release:	%mkrel 11
Summary:	A software library for accesing MusicBrainz servers
Source:		http://ftp.musicbrainz.org/pub/musicbrainz/%{package_name}-%{version}.tar.gz
URL:		http://musicbrainz.org/doc/libmusicbrainz
Group:		System/Libraries
License:	LGPLv2+
BuildRequires:  cmake
BuildRequires:  pkgconfig(neon)
BuildRequires:  pkgconfig(libdiscid)
BuildRequires:  pkgconfig(cppunit)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -q -n %{package_name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS.txt COPYING.txt NEWS.txt README.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}{,.*}

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 3.0.3-11.mga8
+ Revision: 1515133
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.3-10.mga7
+ Revision: 1299019
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 3.0.3-9.mga6
+ Revision: 955601
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 3.0.3-8.mga6
+ Revision: 871044
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.0.3-7.mga5
+ Revision: 744589
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.3-6.mga5
+ Revision: 726799
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-5.mga5
+ Revision: 681624
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.3-4.mga4
+ Revision: 507207
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-3.mga3
+ Revision: 357811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- update rpm group
- spec cleanup

* Wed Jan 19 2011 ahmad <ahmad> 3.0.3-2.mga1
+ Revision: 25004
- drop old/unneeded scriptlets
- imported package libmusicbrainz3


* Wed Oct 20 2010 Götz Waschk <waschk@mandriva.org> 3.0.3-1mdv2011.0
+ Revision: 586907
- new version
- drop patch

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-3mdv2010.1
+ Revision: 520889
- rebuilt for 2010.1

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 3.0.2-2mdv2010.0
+ Revision: 377955
- fix for gcc 4.4

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 294297
- new version
- drop patch

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.0.1-4mdv2009.0
+ Revision: 267922
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 3.0.1-3mdv2009.0
+ Revision: 211251
- fix build with gcc 4.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2008.1
+ Revision: 101485
- fix cmake call to have the right libdir on x86_64
- import libmusicbrainz3


